Page MenuHomePhabricator

Remove wfIncrStats logging from Special:MobileOptions
Closed, ResolvedPublic1 Story Points

Description

Context

During T122504, I found that we log MobileOptionsTracking events whenever a user updates their mobile preferences and asked Readers-Web-Backlog whether such logging was valuable, to which the answer was "Yes." @Jdlrobson noted that we also log mobile preference updates with calls to wfIncrStats but this should have been superseded by the aforementioned event logging.

AC

  • All calls to wfIncrStats are removed from the Special:MobileOptions code
  • An email is sent to wikitech-l, mobile-l, and reading-wmf with details of the forthcoming change

TBD

  • The statistics gathered via wfIncrStats are purged

Related Objects

Event Timeline

phuedx created this task.Apr 8 2016, 8:40 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 8 2016, 8:40 AM
jhobs triaged this task as Normal priority.Apr 12 2016, 5:15 PM
jhobs added a project: Technical-Debt.
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptApr 27 2016, 4:18 PM
bmansurov added a subscriber: bmansurov.

A part of this task has been imported as a Code In task at https://codein.withgoogle.com/dashboard/tasks/6685801721102336/

MtDu claimed this task.Jan 14 2017, 11:16 PM
MtDu added a subscriber: MtDu.

I'll clean this up, since GCI is almost over. :)

Change 332085 had a related patch set uploaded (by MtDu):
Remove wfIncrStats logging from Special:MobileOptions

https://gerrit.wikimedia.org/r/332085

MtDu added a comment.Jan 14 2017, 11:19 PM

Note: There are also some calls in includes/MobileContext.php and includes/api/ApiMobileView.php. I'm not sure if we should remove those as well.

Note: There are also some calls in includes/MobileContext.php and includes/api/ApiMobileView.php. I'm not sure if we should remove those as well.

Thanks for the reminder! Those calls are out of scope for this task.

phuedx updated the task description. (Show Details)

Change 332085 merged by jenkins-bot:
Remove wfIncrStats logging from Special:MobileOptions

https://gerrit.wikimedia.org/r/332085

@Jdlrobson: Not until the email (AC #2) is sent. The email should probably be sent to analytics too and ask how the data gathered via wfIncrStats can be purged.

phuedx set the point value for this task to 1.Jan 25 2017, 4:28 PM
phuedx updated the task description. (Show Details)Jan 25 2017, 8:23 PM
phuedx updated the task description. (Show Details)EditedJan 25 2017, 8:30 PM

I've pinged Analytics asking how we go about getting stats purged from statsd along with the relevant keys.

phuedx closed this task as Resolved.Jan 26 2017, 9:31 AM

We can reopen this task if purging the stats from statsd is non-trivial.